{# This is testing file with macros for example class generatad by mentat-ideagen script. #}

{% macro header(additional_vars) -%}
{{ '{:40s}'.format(_('URL')) }}  {{ '{:15s}'.format(_('Some other data')) }}  {{ '{:>7s}'.format(_('Count')) }}  {{ '{:>18s}'.format(_('Is count even?')) }}
{%- endmacro %}

{% macro row(key, data, additional_vars) -%}
{% if data['source']['url'] %}{{ '{:40.40s}'.format(', '.join(data['source']['url'])) }}{% else %}{{ '{:40s}'.format('---') }}{% endif %}  {{ '{:<15.15s}'.format(_('Too long string that should be truncated in email.')) }}  {{ '{:>7s}'.format(format_decimal(data['count'])) }}  {% if data['count'] % 2 == 0 %}{{ '{:>18s}'.format(_('Yes')) }}{% else %}{{ '{:>18s}'.format(_('No')) }}{% endif %}
{%- endmacro %}